/* 
   Darstellung eines Befehls in der Form, wie
   sie von execvp bentigt wird.
*/
typedef struct {
  char *filename; /* das auszufhrende Programm */
  char **argv;    /* die Parameter, beendet durch NULL, 
		     der Dateiname des Programms am Anfang */
} command;

/* Darstellung einer Kommandozeile, wie sie
   von exec_commandline erwartet wird
*/
typedef struct {
  char *stdin;    /* Die Standardeingabe, NULL fr keine Umleitung */
  char *stdout;   /* Die Standarausgabe, NULL fr keine Umleitung */
  int   comc;     /* Die Anzahl der Befehle */
  command **cmdline; /* Die auszufhrenden Befehle, in der Pipe-Reihenfolge */
  int   async;    /* 0 fr synchrone Ausfhrung, 
		     ansonsten asynchrone Ausfhrung */
} command_line;


/*
  Fhre die durch cl spezifizierte Kommandozeile aus.
  Rckgabewerte noch zu diskutieren.
*/
int exec_commandline(command_line *cl);
