#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/wait.h>
#include "exec.h"

int exec_commandline(command_line *cl) {
  int pid;
  int i;
  for (i = 0; i < cl->comc; i++) {
    if ((pid = fork()) && i == cl->comc) {
      wait(NULL);
    } else {
      execvp(cl->cmdline[0]->filename, cl->cmdline[0]->argv);
      perror("exec");
      return -1;
    }
  }
  return 0;
}

