#define STACK_SIZE 10
#define LINE_LENGTH 100

/*
  push() returns -1 if the stack is full and the operation could not 
  be performed, 1 otherwise. Only the first LINE_LENGTH characters
  are accepted.
*/
int push(char *);

/*
  pop() returns -1, if the stack is empty. Otherwise, it copies the
  last element to the area pointed to by the argument pointer and
  returns 1.
*/
int pop(char *);
